Skip to content
Snippets Groups Projects
Commit 684f32c4 authored by Dan Povey's avatar Dan Povey
Browse files

trunk: a few unrelated bug-fixes.

git-svn-id: https://svn.code.sf.net/p/kaldi/code/trunk@4915 5e6a8d80-dfce-4ca6-a32a-6e07a63d50c8
parent ad865b0e
No related branches found
No related tags found
No related merge requests found
......@@ -111,7 +111,7 @@ if [ $stage -le 2 ]; then
ark:$dir/spk2utt_fake/spk2utt.JOB "$wav_rspecifier" ark:- \| \
nnet-compute $dir/nnet.raw ark:- ark:- \| \
copy-feats --compress=true ark:- \
ark,scp,t:$dir/feats/feats.JOB.ark,$dir/feats/feats.JOB.scp || exit 1;
ark,scp:$dir/feats/feats.JOB.ark,$dir/feats/feats.JOB.scp || exit 1;
fi
if [ $stage -le 3 ]; then
......
......@@ -98,7 +98,7 @@ for ($jobid = $jobstart; $jobid <= $jobend; $jobid++) {
}
close(F);
open(FW, ">$outfile_n") || die "Could not open output file $outfile_n";
foreach(@inlines) {
foreach (@inlines) {
if ($field == 1) { # Treat this as special case, since it is common.
$_ =~ m/\s*(\S+)\s*/ || die "Bad line $_, could not get first field.";
# $1 is what we filter on.
......
......@@ -501,7 +501,7 @@ if (! $sync) { # We're not submitting with -sync y, so we
} else {
chop $last_line;
print STDERR "queue.pl: Error, unfinished job no " .
"longer exists, log is in $logfile, last line is '$last_line'" .
"longer exists, log is in $logfile, last line is '$last_line', " .
"syncfile is $f, return status of qstat was $ret\n" .
"Possible reasons: a) Exceeded time limit? -> Use more jobs!" .
" b) Shutdown/Frozen machine? -> Run again!\n";
......
......@@ -86,7 +86,21 @@ if [ ! -z "$debian_packages" ]; then
fi
if [ $(pwd | wc -w) -gt 1 ]; then
echo "*** $0: Warning: Kaldi scripts will fail if the directory name contains a space."
echo "*** (it's OK if you just want to compile a few tools -> disable this check)."
status=1;
fi
if which grep >&/dev/null && pwd | grep -E 'JOB|LMWT' >/dev/null; then
echo "*** $0: Kaldi scripts will fail if the directory name contains"
echo "*** either of the strings 'JOB' or 'LMWT'."
status=1;
fi
if ! $printed && [ $status -eq 0 ]; then
echo "$0: all OK."
fi
exit $status
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment